2019-12-09 02:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002222Spring engineLuapublic2010-11-20 00:51
Reporterquantum 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.82.6.1 
Target VersionFixed in Version0.82.7 
Summary0002222: Rotated units are turned inside out at certain angles
DescriptionThis code slowly spins a commander when placed in a gadget. It will reproduce the problem (tested with an s3o unit).

local testUnitName = "corcom"

function gadget:GameFrame(n)
  for _, unitID in ipairs(Spring.GetAllUnits()) do
    local unitDefID = Spring.GetUnitDefID(unitID)
    local unitDef = UnitDefs[unitDefID]
    if unitDef.name == testUnitName then
      local rotation = n/100
      Spring.SendMessage(rotation)
      Spring.SetUnitRotation(unitID, 0, rotation, 0)
    end
  end
end
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2010-11-14 00:45 quantum New Issue
2010-11-20 00:51 Kloot Status new => resolved
2010-11-20 00:51 Kloot Fixed in Version => 0.82.6.1+git
2010-11-20 00:51 Kloot Resolution open => fixed
2010-11-20 00:51 Kloot Assigned To => Kloot
+Issue History